| QxOrm 1.4.1 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
qx::dao::detail::IxSqlGenerator Class Reference
QxDao : QxOrm library database communication used by persistence engine (ORM - Object Relational Mapping)

qx::dao::detail::IxSqlGenerator : common interface for all SQL generators to build SQL query specific for each database More...

`#include <IxSqlGenerator.h>`

Inheritance diagram for qx::dao::detail::IxSqlGenerator:

List of all members.

## Public Member Functions
| IxSqlGenerator ()
virtual | ~IxSqlGenerator ()
virtual void | init ()=0
virtual QString | getAutoIncrement () const =0
virtual QString | getWildCard () const =0
virtual QString | getLimit (const QxSqlLimit *pLimit) const =0
virtual void | resolveLimit (QSqlQuery &query, const QxSqlLimit *pLimit) const =0
virtual void | postProcess (QString &sql, const QxSqlLimit *pLimit) const =0
virtual void | onBeforeInsert (IxDao_Helper *pDaoHelper, void *pOwner) const =0
virtual void | onAfterInsert (IxDao_Helper *pDaoHelper, void *pOwner) const =0
virtual void | onBeforeUpdate (IxDao_Helper *pDaoHelper, void *pOwner) const =0
virtual void | onAfterUpdate (IxDao_Helper *pDaoHelper, void *pOwner) const =0
virtual void | onBeforeDelete (IxDao_Helper *pDaoHelper, void *pOwner) const =0
virtual void | onAfterDelete (IxDao_Helper *pDaoHelper, void *pOwner) const =0

## Detailed Description

qx::dao::detail::IxSqlGenerator : common interface for all SQL generators to build SQL query specific for each database

Definition at line 68 of file IxSqlGenerator.h.

## Constructor & Destructor Documentation

qx::dao::detail::IxSqlGenerator::IxSqlGenerator | ( |  | ) |

virtual qx::dao::detail::IxSqlGenerator::~IxSqlGenerator | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual QString qx::dao::detail::IxSqlGenerator::getAutoIncrement | ( |  | ) | const`[pure virtual]`

Implemented in qx::dao::detail::QxSqlGenerator_Standard, and qx::dao::detail::QxSqlGenerator_MySQL.

virtual QString qx::dao::detail::IxSqlGenerator::getLimit | ( | const QxSqlLimit * | pLimit | ) | const`[pure virtual]`

Implemented in qx::dao::detail::QxSqlGenerator_Standard, qx::dao::detail::QxSqlGenerator_MSSQLServer, and qx::dao::detail::QxSqlGenerator_Oracle.

virtual QString qx::dao::detail::IxSqlGenerator::getWildCard | ( |  | ) | const`[pure virtual]`

Implemented in qx::dao::detail::QxSqlGenerator_Standard.

virtual void qx::dao::detail::IxSqlGenerator::init | ( |  | ) | `[pure virtual]`

Implemented in qx::dao::detail::QxSqlGenerator_Standard, and qx::dao::detail::QxSqlGenerator_MSSQLServer.

virtual void qx::dao::detail::IxSqlGenerator::onAfterDelete | ( | IxDao_Helper * | pDaoHelper,
|  | void * | pOwner
| ) |  | const`[pure virtual]`

Implemented in qx::dao::detail::QxSqlGenerator_Standard.

virtual void qx::dao::detail::IxSqlGenerator::onAfterInsert | ( | IxDao_Helper * | pDaoHelper,
|  | void * | pOwner
| ) |  | const`[pure virtual]`

Implemented in qx::dao::detail::QxSqlGenerator_Standard, and qx::dao::detail::QxSqlGenerator_PostgreSQL.

virtual void qx::dao::detail::IxSqlGenerator::onAfterUpdate | ( | IxDao_Helper * | pDaoHelper,
|  | void * | pOwner
| ) |  | const`[pure virtual]`

Implemented in qx::dao::detail::QxSqlGenerator_Standard.

virtual void qx::dao::detail::IxSqlGenerator::onBeforeDelete | ( | IxDao_Helper * | pDaoHelper,
|  | void * | pOwner
| ) |  | const`[pure virtual]`

Implemented in qx::dao::detail::QxSqlGenerator_Standard.

virtual void qx::dao::detail::IxSqlGenerator::onBeforeInsert | ( | IxDao_Helper * | pDaoHelper,
|  | void * | pOwner
| ) |  | const`[pure virtual]`

Implemented in qx::dao::detail::QxSqlGenerator_Standard, and qx::dao::detail::QxSqlGenerator_PostgreSQL.

virtual void qx::dao::detail::IxSqlGenerator::onBeforeUpdate | ( | IxDao_Helper * | pDaoHelper,
|  | void * | pOwner
| ) |  | const`[pure virtual]`

Implemented in qx::dao::detail::QxSqlGenerator_Standard.

virtual void qx::dao::detail::IxSqlGenerator::postProcess | ( | QString & | sql,
|  | const QxSqlLimit * | pLimit
| ) |  | const`[pure virtual]`

Implemented in qx::dao::detail::QxSqlGenerator_Standard, qx::dao::detail::QxSqlGenerator_MSSQLServer, and qx::dao::detail::QxSqlGenerator_Oracle.

virtual void qx::dao::detail::IxSqlGenerator::resolveLimit | ( | QSqlQuery & | query,
|  | const QxSqlLimit * | pLimit
| ) |  | const`[pure virtual]`

Implemented in qx::dao::detail::QxSqlGenerator_Standard, qx::dao::detail::QxSqlGenerator_MSSQLServer, and qx::dao::detail::QxSqlGenerator_Oracle.

The documentation for this class was generated from the following file:

- D:/Dvlp/_Perso/QxOrm/include/QxDao/QxSqlGenerator/IxSqlGenerator.h